2019-12-09 02:23 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002376Spring engineLuapublic2011-03-14 15:44
Reporteruser744 
Assigned ToKloot 
PrioritynormalSeveritymajorReproducibilityrandom
StatusresolvedResolutionfixed 
Product Version0.82.7.1 
Target VersionFixed in Version0.82.7+git 
Summary0002376: AddUnitImpulse turns units inside out
Descriptiona unit script that applies an upwards impulse to all near units via Spring.AddUnitImpulse( nearunitid, 0, 0.5, 0) :
http://pastebin.com/Bj1ufn4e

Sometimes it works fine but with a high chance this happens:
the unit flies upwards as expected, shrinks, then gets bigger again but "turned inside out", repeat. its looks like it gets scaled from 100% to -100% and back.
picture shows it best:
http://h-2.abload.de/img/addunitimpulsewtfisthiqlhi.gif

the unit is a .s3o with .tga texture.
it is made of many cube shaped pieces but "tradionell" made normal units show the same error.
hitspheres drawn in alt+b change their size with the unit. while in the air the unit can aim&shoot normal.
Additional Informationmaybe related to "Rotated units are turned inside out at certain angles"
http://springrts.com/mantis/view.php?id=2222

now with music!
http://insky.ytmnd.com/
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0006487

user744

instead of
Spring.AddUnitImpulse( nearunitid, 0, 0.5, 0)
i tried
Spring.AddUnitImpulse( nearunitid, 0.01, 0.5, 0.01)
and so after 5 minutes of playing around it has not since happend.
changing to 0 made it happen again.

also if the unit being "impulsed" stands still it seems more likely to happen.

~0006493

Kloot (developer)

similar problem indeed (vector degeneracy)
+Notes

-Issue History
Date Modified Username Field Change
2011-03-13 07:01 user744 New Issue
2011-03-13 07:29 user744 Note Added: 0006487
2011-03-14 15:44 Kloot Note Added: 0006493
2011-03-14 15:44 Kloot Status new => resolved
2011-03-14 15:44 Kloot Fixed in Version => 0.82.7+git
2011-03-14 15:44 Kloot Resolution open => fixed
2011-03-14 15:44 Kloot Assigned To => Kloot
+Issue History